VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::appliance::techpreview::services::StatusStub Class Reference

Remote stub implementation of the Status API service. More...

Inherits vmware::appliance::techpreview::services::Status.

List of all members.

## Public Member Functions
| StatusStub (vmware.vapi.core.IApiProvider iApiProvider, vmware.vapi.bindings.IStubConfiguration config)
vmware.appliance.techpreview.services.StatusTypes.ServiceStatus | Get (string name, long timeout)
| Get status of a service.
vmware.appliance.techpreview.services.StatusTypes.ServiceStatus | Get (string name, long timeout, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Get status of a service.
global::System.Threading.Tasks.Task < vmware.appliance.techpreview.services.StatusTypes.ServiceStatus > | GetAsync (string name, long timeout)
| Get status of a service.
global::System.Threading.Tasks.Task < vmware.appliance.techpreview.services.StatusTypes.ServiceStatus > | GetAsync (string name, long timeout, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Get status of a service.

## Detailed Description

Remote stub implementation of the Status API service.

## Constructor & Destructor Documentation

vmware::appliance::techpreview::services::StatusStub::StatusStub | ( | vmware.vapi.core.IApiProvider | iApiProvider,
|  | vmware.vapi.bindings.IStubConfiguration | config
| ) |  | `[inline]`

## Member Function Documentation

vmware.appliance.techpreview.services.StatusTypes.ServiceStatus vmware::appliance::techpreview::services::StatusStub::Get | ( | string | name,
|  | long | timeout
| ) |  | `[inline]`

Get status of a service.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Parameters:

  name | Name of a service.
  timeout | Timeout in seconds. Zero (0) means no timeout.

Returns:
  Status of the service.

Implements vmware::appliance::techpreview::services::Status.

vmware.appliance.techpreview.services.StatusTypes.ServiceStatus vmware::appliance::techpreview::services::StatusStub::Get | ( | string | name,
|  | long | timeout,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Get status of a service.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Parameters:

  name | Name of a service.
  timeout | Timeout in seconds. Zero (0) means no timeout.
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  Status of the service.

Implements vmware::appliance::techpreview::services::Status.

global::System.Threading.Tasks.Task<vmware.appliance.techpreview.services.StatusTypes.ServiceStatus> vmware::appliance::techpreview::services::StatusStub::GetAsync | ( | string | name,
|  | long | timeout
| ) |  | `[inline]`

Get status of a service.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Parameters:

  name | Name of a service.
  timeout | Timeout in seconds. Zero (0) means no timeout.

Returns:
  Status of the service.

Implements vmware::appliance::techpreview::services::Status.

global::System.Threading.Tasks.Task<vmware.appliance.techpreview.services.StatusTypes.ServiceStatus> vmware::appliance::techpreview::services::StatusStub::GetAsync | ( | string | name,
|  | long | timeout,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Get status of a service.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Parameters:

  name | Name of a service.
  timeout | Timeout in seconds. Zero (0) means no timeout.
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  Status of the service.

Implements vmware::appliance::techpreview::services::Status.

The documentation for this class was generated from the following file:

- StatusStub.cs